Bug 855454 - gpgme basic unit tests would fail, except they are disabled
gpgme basic unit tests would fail, except they are disabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gpgme (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 855451 858512
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 16:03 EDT by John Morris
Modified: 2012-11-02 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 09:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to reenable unit tests in gpgme (5.73 KB, patch)
2012-09-07 16:03 EDT, John Morris
no flags Details | Diff
Fix for the failing unit test (2.98 KB, patch)
2012-09-07 16:38 EDT, John Morris
no flags Details | Diff
Patch against master: re-enable unit tests; fix failing test; link tests against shared libs (7.94 KB, patch)
2012-09-26 01:41 EDT, John Morris
no flags Details | Diff

  None (edit)
Description John Morris 2012-09-07 16:03:35 EDT
Created attachment 610835 [details]
Patch to reenable unit tests in gpgme

In FC16, at least, one of the gpgme unit tests in the 'tests/gpg' directory would fail (t-encrypt-sign test), but the unit tests are disabled.

The specfile contains a note that the tests are disabled because they depend on GPG v.1.  However, the tests do run in FC16, and all pass but the one, if libgpg-error-devel is rebuilt to include static libs, and the attached patch is applied.

Here is the documentation from the attached patch:

    Re-enable gpgme 'gpg' unit tests, dependent on #855451

    Unit tests in the tests/gpg directory would fail except that they have
    been disabled.  In order to disable them, libgpg-error needs to
    re-enable building static libraries; see bug #855451.

    This patch, dependent on the above bugfix, re-enables unit testing in
    the gpg directory:

    - specfile:  remove --disable on  %%configure line
    - specfile:  add BuildRequires: glibc-static for tests/gpg/t-thread1
    - config_extras patch:  fix hunks that disable
      gpg_error_libs and libs_pthread config
    - ImplicitDSOLinking.patch:  add test/gpg/Makefile.in
     
    Also:      
    - quiet configure warning 'could not find g13'

    Also .gitignore changes:
    - ignore 'fedpkg local' build artifacts
    - ignore emacs cruft
    - generalize source file globs
Comment 1 John Morris 2012-09-07 16:38:43 EDT
Created attachment 610841 [details]
Fix for the failing unit test

Attaching a second patch.  This patch fixes the failing unit test mentioned in the original bug report.  It is self-documenting; please check the patch for more info.

I believe this should fix up the package, if the needed changes to libgpg-error are made.

Thanks!
Comment 2 John Morris 2012-09-26 01:41:55 EDT
Created attachment 617397 [details]
Patch against master:  re-enable unit tests; fix failing test; link tests against shared libs

This patch obsoletes the previous two submitted.  The owner of #855451 argued against shipping static libs in libgpg-error-devel and instead link against shared libs to fix this bug.  The suggested fix is implemented here.

This patch is against master.  It does not work against f16, but koji builds fine against f17, f18 and rawhide.  I am bumping the product version up to f17, since, AFAIK, f16 is EOL.
Comment 3 Fedora Update System 2012-09-27 15:58:27 EDT
kdepimlibs-4.9.1-4.fc18, gpgme-1.3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kdepimlibs-4.9.1-4.fc18,gpgme-1.3.2-1.fc18
Comment 4 Fedora Update System 2012-09-28 13:21:51 EDT
Package kdepimlibs-4.9.1-4.fc18, gpgme-1.3.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdepimlibs-4.9.1-4.fc18 gpgme-1.3.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15017/kdepimlibs-4.9.1-4.fc18,gpgme-1.3.2-1.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.